#include <QApplication>
#include <qdir.h>
#include <qdebug.h>

#include "mainwindow.h"
#include "centralwidget.h"
#include "serialport/serialport.h"
#include "realtimedataform.h"
#include "experimentsettingform.h"
#include "filemanager.h"
#include "logger.h"

int main(int argc, char *argv[])
{
    Logger::instance();
    logde<<"main...";

    QApplication::setAttribute(Qt::AA_EnableHighDpiScaling); // 启用高DPI缩放
    QApplication a(argc, argv);

    MainWindow w;
    w.show();

//   FileManager::test();

//    ExperimentSettingForm es;
//    es.show();

//    CentralWidget central;
//    central.show();

//    SerialPort::parserTest();

//    SerialPort sp;

//    RealTimeDataForm r;
//    r.show();

//    QObject::connect(&sp,&SerialPort::sigSendSerialPortData,
//                     &r,&RealTimeDataForm::slotRevSerialPortData);

    return a.exec();
}
